import request from '@/utils/request'

// 查询楼层列表列表
export function listFloor(query) {
  return request({
    url: '/bst/floor/list',
    method: 'get',
    params: query
  })
}

// 查询楼层列表详细
export function getFloor(floorId) {
  return request({
    url: '/bst/floor/' + floorId,
    method: 'get'
  })
}

// 新增楼层列表
export function addFloor(data) {
  return request({
    url: '/bst/floor',
    method: 'post',
    data: data
  })
}

// 修改楼层列表
export function updateFloor(data) {
  return request({
    url: '/bst/floor',
    method: 'put',
    data: data
  })
}

// 删除楼层列表
export function delFloor(floorId) {
  return request({
    url: '/bst/floor/' + floorId,
    method: 'delete'
  })
}
